## isort 4.3.4+ds1

=== requirements.txt ===
pytest==2.9.1
ipython==4.1.2

## isort 3.9.2+ds1

=== debian/changelog ===
isort (3.9.2+ds1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version.
  * Add a man page.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 25 Dec 2014 08:51:29 +0200

isort (3.9.0+ds1-1) unstable; urgency=medium

  * Repack upstream source without runtests.py.
  * Fix debian/watch to fetch the source we're actually using.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 28 Sep 2014 01:33:31 +0200

isort (3.9.0-1) unstable; urgency=medium

  * Initial release. (Closes: #761167)

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 13 Sep 2014 19:38:48 +0200

=== debian/control ===
Source: isort
Section: python
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Tristan Seligmann <mithrandi@debian.org>
Build-Depends: debhelper (>= 9),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-natsort,
 python3-pies,
 python3-mock,
 python3-pytest,
X-Python3-Version: >= 3.0
Standards-Version: 3.9.6
Homepage: https://github.com/timothycrosley/isort
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/isort/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/isort/trunk/

Package: isort
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-isort
Description: utility for sorting Python imports
 isort is a Python utility / library to sort imports alphabetically, and
 automatically separated into sections. It provides a command line
 utility, Python library and plugins for various editors to quickly sort
 all your imports.
 .
 This package contains the isort utility.

Package: python3-isort
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: library for sorting Python imports
 isort is a Python utility / library to sort imports alphabetically, and
 automatically separated into sections. It provides a command line
 utility, Python library and plugins for various editors to quickly sort
 all your imports.
 .
 This package contains the isort library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=isort

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/isort/usr/bin
	mv debian/python3-isort/usr/bin/isort debian/isort/usr/bin/isort
	rmdir debian/python3-isort/usr/bin

## isort 4.2.2+ds1

=== debian/changelog ===
isort (4.2.2+ds1-1) unstable; urgency=medium

  * New upstream release.
    - Dropped dependency on python3-pies (closes: #779703 -- although I cannot
      confirm this due to being unable to reproduce in the first place).
  * Add a .pydist file.
  * Drop override as upstream now ships a changelog.
  * Actually run tests during build.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 28 Sep 2015 05:43:58 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Tristan Seligmann <mithrandi@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends:
+ debhelper (>= 9),
  dh-python,
  python3-all,
- python3-setuptools,
- python3-natsort,
- python3-pies,
  python3-mock,
  python3-pytest,
+ python3-setuptools,
 X-Python3-Version: >= 3.0
 Standards-Version: 3.9.6
 Homepage: https://github.com/timothycrosley/isort
@@ -19,7 +18,7 @@
 
 Package: isort
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-isort
+Depends: python3-isort, ${misc:Depends}, ${python3:Depends}
 Description: utility for sorting Python imports
  isort is a Python utility / library to sort imports alphabetically, and
  automatically separated into sections. It provides a command line

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 export PYBUILD_NAME=isort
+export PYBUILD_BEFORE_TEST=cp {dir}/test_isort.py {build_dir}
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## isort 4.2.5+ds1

=== debian/changelog ===
isort (4.2.5+ds1-2+deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * Add missing dependency on python3-pkg-resources.  Thanks to
    Andreas Beckmann for reporting the issue.  (Closes: #902327)
  * Fix dependencies of the python2 package by using the correct
    ${python:Depends} substvar instead of ${python3:Depends}.  Thanks to Paul
    Wise for catching it. (Closes: #884682)

 -- Adrian Bunk <bunk@debian.org>  Sun, 16 Sep 2018 20:06:57 +0300

isort (4.2.5+ds1-2) unstable; urgency=medium

  * Add python-isort package for Python 2 module (closes: #802582).
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 19 Jul 2016 21:09:28 +0200

isort (4.2.5+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7 (no changes).
  * Use https in Vcs-Browser.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 06 Apr 2016 21:58:26 +0200

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,24 @@
 Build-Depends:
  debhelper (>= 9),
  dh-python,
+ python-all,
+ python-mock,
+ python-pytest,
+ python-setuptools,
  python3-all,
  python3-mock,
  python3-pytest,
  python3-setuptools,
 X-Python3-Version: >= 3.0
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/timothycrosley/isort
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/isort/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/isort/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/isort/trunk/
 
 Package: isort
 Architecture: all
-Depends: python3-isort, ${misc:Depends}, ${python3:Depends}
+Depends: python3-isort, python3-pkg-resources,
+         ${misc:Depends}, ${python3:Depends}
 Description: utility for sorting Python imports
  isort is a Python utility / library to sort imports alphabetically, and
  automatically separated into sections. It provides a command line
@@ -27,10 +32,21 @@
  .
  This package contains the isort utility.
 
+Package: python-isort
+Architecture: all
+Depends: ${misc:Depends}, ${python:Depends}
+Description: library for sorting Python imports (Python 2)
+ isort is a Python utility / library to sort imports alphabetically, and
+ automatically separated into sections. It provides a command line
+ utility, Python library and plugins for various editors to quickly sort
+ all your imports.
+ .
+ This package contains the isort library for Python 2.
+
 Package: python3-isort
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Description: library for sorting Python imports
+Description: library for sorting Python imports (Python 3)
  isort is a Python utility / library to sort imports alphabetically, and
  automatically separated into sections. It provides a command line
  utility, Python library and plugins for various editors to quickly sort

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=isort
export PYBUILD_BEFORE_TEST=cp {dir}/test_isort.py {build_dir}

%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/isort/usr/bin
	rm debian/python-isort/usr/bin/isort
	rmdir debian/python-isort/usr/bin
	mv debian/python3-isort/usr/bin/isort debian/isort/usr/bin/isort
	rmdir debian/python3-isort/usr/bin

## isort 4.3.4+ds1

=== debian/changelog ===
isort (4.3.4+ds1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #936751

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Nov 2019 17:26:37 -0400

isort (4.3.4+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Stop installing test_isort.py (closes: #887816); thanks to Chris Lamb
    for the patch.
  * Update lintian override name: debian-watch-does-not-check-gpg-signature
  * Bump Standards-Version to 4.1.3 (no changes).
  * Use https for copyright format URL.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 18 Feb 2018 05:40:19 +0200

isort (4.2.5+ds1-3) unstable; urgency=medium

  * Team upload.
  * Bump debhelper compat level to 11.
  * Bump Standards-Version to 4.1.2, no changes needed.
  * Fix dependencies of the python2 package by using the correct
    ${python:Depends} substvar instead of ${python3:Depends}.  Thanks to Paul
    Wise for catching it.
  * Move isort into Section:utils.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 18 Dec 2017 11:39:29 +0100

=== debian/control ===
Source: isort
Section: python
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Tristan Seligmann <mithrandi@debian.org>
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 python3-all,
 python3-mock,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.1.3
Homepage: https://github.com/timothycrosley/isort
Vcs-Git: https://salsa.debian.org/python-team/applications/isort.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/isort

Package: isort
Architecture: all
Section: utils
Depends: python3-isort, ${misc:Depends}, ${python3:Depends}
Description: utility for sorting Python imports
 isort is a Python utility / library to sort imports alphabetically, and
 automatically separated into sections. It provides a command line
 utility, Python library and plugins for various editors to quickly sort
 all your imports.
 .
 This package contains the isort utility.

Package: python3-isort
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: library for sorting Python imports (Python 3)
 isort is a Python utility / library to sort imports alphabetically, and
 automatically separated into sections. It provides a command line
 utility, Python library and plugins for various editors to quickly sort
 all your imports.
 .
 This package contains the isort library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=isort
export PYBUILD_BEFORE_TEST=mkdir -p {build_dir}/tests && cp {dir}/test_isort.py {build_dir}/tests
export PYBUILD_TEST_ARGS={build_dir}/tests/

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/isort/usr/bin
	mv debian/python3-isort/usr/bin/isort debian/isort/usr/bin/isort
	rmdir debian/python3-isort/usr/bin

## isort 5.4.2

=== debian/changelog ===
isort (5.4.2-1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sun, 16 Aug 2020 05:30:49 +0000

isort (5.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 15 Aug 2020 22:16:19 +0200

isort (5.3.2-1) unstable; urgency=medium

  * New upstream release.
    - Recommend python3-colorama.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 11 Aug 2020 18:22:42 +0200

isort (5.1.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database.
  * Set upstream metadata fields: Bug-Submit.

  [ Tristan Seligmann ]
  * New upstream release.
    - Devendor toml.
  * Fix tests.
  * Switch to dh-sequence-*.
  * Bump debhelper-compat to 13.
  * Bump Standards-Version to 4.5.0 (no changes).
  * Declare rootless build.
  * Add Repository to upstream metadata.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 23 Jul 2020 11:34:14 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Build-Depends:
- debhelper-compat (= 11),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all,
- python3-mock,
- python3-pytest,
  python3-setuptools,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: https://github.com/timothycrosley/isort
 Vcs-Git: https://salsa.debian.org/python-team/applications/isort.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/isort
+Rules-Requires-Root: no
 
 Package: isort
 Architecture: all
 Section: utils
 Depends: python3-isort, ${misc:Depends}, ${python3:Depends}
+Recommends: python3-colorama
 Description: utility for sorting Python imports
  isort is a Python utility / library to sort imports alphabetically, and
  automatically separated into sections. It provides a command line
@@ -29,7 +29,7 @@
 
 Package: python3-isort
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: python3-toml, ${misc:Depends}, ${python3:Depends}
 Description: library for sorting Python imports (Python 3)
  isort is a Python utility / library to sort imports alphabetically, and
  automatically separated into sections. It provides a command line

## isort 5.6.4

=== debian/changelog ===
isort (5.6.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Tristan Seligmann ]
  * New upstream release.
  * Disable autopkgtests temporarily; upstream no longer ships the tests
    in the sdist.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 05 Nov 2020 11:24:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: isort
 Section: python
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -10,8 +10,8 @@
  python3-setuptools,
 Standards-Version: 4.5.0
 Homepage: https://github.com/timothycrosley/isort
-Vcs-Git: https://salsa.debian.org/python-team/applications/isort.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/isort
+Vcs-Git: https://salsa.debian.org/python-team/packages/isort.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/isort
 Rules-Requires-Root: no
 
 Package: isort

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=isort
# Tests are too hard to run at build time
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild


execute_after_dh_clean:
	rm -r isort/_vendored/


execute_after_dh_auto_install:
	mkdir -p debian/isort/usr/bin
	mv debian/python3-isort/usr/bin/isort debian/isort/usr/bin/isort
	rmdir debian/python3-isort/usr/bin

=== debian/tests/control ===
# Test-Command: for p in $(py3versions -s);
#  do $p -m pytest
#  --ignore tests/test_pylama_isort.py
#  --ignore tests/test_deprecated_finders.py
#  --ignore tests/test_importable.py
#  --ignore tests/test_hypothesmith.py
#  --deselect tests/test_ticketed_features.py::test_isort_literals_issue_1358
#  --deselect tests/test_ticketed_features.py::test_isort_supports_formatting_plugins_issue_1353
#  --deselect tests/test_ticketed_features.py::test_isort_supports_shared_profiles_issue_970
#  --deselect tests/test_literal.py::test_value_assignment
#  tests/; done
# Depends:
#  git,
#  python3-all,
#  python3-colorama,
#  python3-hypothesis,
#  python3-hypothesis-auto,
#  python3-pytest,
#  python3-setuptools,
#  @,

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/isort/isort-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## isort 5.13.2

=== debian/changelog ===
isort (5.13.2-2) unstable; urgency=medium

  * debian/watch: Exclude pre-releases.

 -- Colin Watson <cjwatson@debian.org>  Sun, 20 Oct 2024 19:00:54 +0100

isort (5.13.2-1) unstable; urgency=medium

  * New upstream release.
    - Drop patch to devendor toml; upstream now uses tomllib on new enough
      Python versions, which Debian has.
  * Use pybuild-plugin-pyproject and poetry.
  * Add myself to Uploaders.
  * Remove Tristan Seligmann from Uploaders, with thanks for their previous
    contributions (closes: #1041185).
  * Apply X-Style: black.

 -- Colin Watson <cjwatson@debian.org>  Mon, 29 Jul 2024 17:43:04 +0100

=== debian/control ===
Source: isort
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Colin Watson <cjwatson@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Standards-Version: 4.5.0
Homepage: https://github.com/timothycrosley/isort
Vcs-Git: https://salsa.debian.org/python-team/packages/isort.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/isort
Rules-Requires-Root: no
X-Style: black

Package: isort
Architecture: all
Section: utils
Depends:
 python3-isort,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-colorama,
Description: utility for sorting Python imports
 isort is a Python utility / library to sort imports alphabetically, and
 automatically separated into sections. It provides a command line
 utility, Python library and plugins for various editors to quickly sort
 all your imports.
 .
 This package contains the isort utility.

Package: python3-isort
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: library for sorting Python imports (Python 3)
 isort is a Python utility / library to sort imports alphabetically, and
 automatically separated into sections. It provides a command line
 utility, Python library and plugins for various editors to quickly sort
 all your imports.
 .
 This package contains the isort library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,5 @@
 
 execute_after_dh_auto_install:
 	mkdir -p debian/isort/usr/bin
-	mv debian/python3-isort/usr/bin/isort debian/isort/usr/bin/isort
+	mv debian/python3-isort/usr/bin/isort* debian/isort/usr/bin/
 	rmdir debian/python3-isort/usr/bin

## isort 6.0.0

=== debian/changelog ===
isort (6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Re-enable most tests at build time.
  * Re-enable autopkgtests, using autopkgtest-pkg-pybuild.
  * Mention isort/_vendored/tomli/* in debian/copyright.
  * Remove isort/_vendored/ from the installed files after dh_auto_install,
    rather than from the source tree after dh_clean (closes: #1047966,
    #1049746).

 -- Colin Watson <cjwatson@debian.org>  Wed, 29 Jan 2025 13:56:34 +0000

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,27 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ black <!nocheck>,
+ git <!nocheck>,
  pybuild-plugin-pyproject,
  python3-all,
- python3-poetry-core,
+ python3-colorama <!nocheck>,
+ python3-hatch-vcs,
+ python3-hatchling,
+ python3-hypothesis <!nocheck>,
+ python3-hypothesmith <!nocheck>,
+ python3-lark <!nocheck>,
+ python3-libcst <!nocheck>,
+ python3-pylama <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-benchmark <!nocheck>,
+ python3-pytest-mock <!nocheck>,
 Standards-Version: 4.5.0
 Homepage: https://github.com/timothycrosley/isort
 Vcs-Git: https://salsa.debian.org/python-team/packages/isort.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/isort
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 X-Style: black
 
 Package: isort

## isort 6.0.1

=== debian/changelog ===
isort (6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update upstream URLs.

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Mar 2025 16:23:46 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-pytest-benchmark <!nocheck>,
  python3-pytest-mock <!nocheck>,
 Standards-Version: 4.5.0
-Homepage: https://github.com/timothycrosley/isort
+Homepage: https://github.com/PyCQA/isort
 Vcs-Git: https://salsa.debian.org/python-team/packages/isort.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/isort
 Rules-Requires-Root: no

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/isort/isort-(\d[\.\d]*)@ARCHIVE_EXT@

## isort 6.1.0

=== debian/changelog ===
isort (6.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Mark isort and python3-isort Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Mon, 06 Oct 2025 10:49:03 +0100

isort (6.0.1-2) unstable; urgency=medium

  * Update manpage (Closes: #992793).
  * Add isort-identify-imports manpage.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 24 Sep 2025 22:23:27 +0100

## isort 7.0.0

=== debian/changelog ===
isort (7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 Oct 2025 10:39:03 +0100

=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
 
 Package: isort
 Architecture: all
+Multi-Arch: foreign
 Section: utils
 Depends:
  python3-isort,
@@ -49,6 +50,7 @@
 
 Package: python3-isort
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := isort
export PYBUILD_TEST_ARGS :=

# This test clones other projects from the internet.
PYBUILD_TEST_ARGS += --ignore=tests/integration/test_projects_using_isort.py

# These tests need example-isort-sorting-plugin and/or
# example-shared-isort-profile to be installed, and we haven't yet worked
# out how to install those for tests.
PYBUILD_TEST_ARGS += \
	--deselect=tests/integration/test_setting_combinations.py::test_isort_is_idempotent \
	--deselect=tests/integration/test_setting_combinations.py::test_isort_doesnt_lose_imports_or_comments \
	--deselect=tests/unit/test_ticketed_features.py::test_isort_supports_shared_profiles_issue_970 \
	--deselect=tests/unit/test_ticketed_features.py::test_sort_configurable_sort_issue_1732

# These tests don't seem to work in a packaged context, for unclear reasons.
PYBUILD_TEST_ARGS += \
	--deselect=tests/unit/test_deprecated_finders.py::TestRequirementsFinder::test_requirements_dir \
	--deselect=tests/unit/test_deprecated_finders.py::test_requirements_finder \
	--deselect=tests/unit/test_deprecated_finders.py::test_path_finder

ifeq (,$(PYBUILD_AUTOPKGTEST))
# These tests need isort to be installed on $PATH.
PYBUILD_TEST_ARGS += \
	--deselect=tests/unit/test_isort.py::test_settings_path_skip_issue_909 \
	--deselect=tests/unit/test_isort.py::test_skip_paths_issue_938
else
# These tests only work when running against isort from the source
# directory, rather than the version installed on the system.
PYBUILD_TEST_ARGS += \
	--deselect=tests/unit/test_hooks.py::test_git_hook \
	--deselect=tests/unit/test_place.py::test_module
endif

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	mkdir -p debian/isort/usr/bin
	mv debian/python3-isort/usr/bin/isort* debian/isort/usr/bin/
	rmdir debian/python3-isort/usr/bin
	rm -rf debian/python3-isort/usr/lib/python3*/dist-packages/isort/_vendored

## isort 8.0.0

=== debian/changelog ===
isort (8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 Feb 2026 13:17:22 +0000
